import { Mark, NodeData } from "../types";
import { RefObject } from "react";
export declare const useMark: (node: NodeData) => {
    label: string;
    value: string | undefined;
    mark: (elementOrRef: HTMLElement | RefObject<HTMLElement> | null) => void;
    onChange: (props: Mark, options?: {
        silent: boolean;
    }) => void;
    onRemove: () => void;
    heldCaret: (element: HTMLElement) => void;
    readOnly: boolean | undefined;
    style: import("react").CSSProperties | undefined;
    className: string | undefined;
};
//# sourceMappingURL=useMark.d.ts.map